Extending Qt Creator Manual | VcsSubmitEditorFactory

Extending Qt Creator Manual 4.5.2

# VcsSubmitEditorFactory Class

(VcsBase::VcsSubmitEditorFactory)

Inherits: | Core::IEditorFactory

- List of all members, including inherited members

## Public Types

typedef | EditorCreator

## Public Functions

| VcsSubmitEditorFactory(const VcsBaseSubmitEditorParameters *parameters, const EditorCreator &editorCreator)

## Reimplemented Public Functions

virtual Core::IEditor * | createEditor() override

- 9 public functions inherited from Core::IEditorFactory

## Member Type Documentation

### typedef VcsSubmitEditorFactory::EditorCreator

## Member Function Documentation

### VcsSubmitEditorFactory::VcsSubmitEditorFactory(const VcsBaseSubmitEditorParameters *parameters, const EditorCreator &editorCreator)

Default constructs an instance of VcsSubmitEditorFactory.

### `[override virtual]` Core::IEditor *VcsSubmitEditorFactory::createEditor()